Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::OwData Class Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::OwData:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::OwData:
[legend]

## Public Member Functions

| OwData (hid_t iParentGroup, const std::string &iName, const AbcA::MetaData &iMetaData)
AbcA::CompoundPropertyWriterPtr | getProperties (AbcA::ObjectWriterPtr iParent)
size_t | getNumChildren ()
const AbcA::ObjectHeader & | getChildHeader (size_t i)
const AbcA::ObjectHeader * | getChildHeader (const std::string &iName)
AbcA::ObjectWriterPtr | getChild (const std::string &iName)
AbcA::ObjectWriterPtr | createChild (AbcA::ObjectWriterPtr iParent, const std::string &iFullName, const AbcA::ObjectHeader &iHeader)
hid_t | getGroup ()

The documentation for this class was generated from the following files:

- AbcCoreHDF5/OwData.h
- AbcCoreHDF5/OwData.cpp